summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Mair-Keimberger <m.mairkeimberger@gmail.com>2019-02-06 18:32:54 +0100
committerPatrice Clement <monsieurp@gentoo.org>2019-02-06 23:37:51 +0100
commit637bf7adde0a6284c8a89270fe50bbbb2791b39e (patch)
treee5b4440b892ba598c43b53824edf75ea7991b384 /x11-libs/motif
parentsci-libs/opencascade: use HTTPS. (diff)
downloadgentoo-637bf7adde0a6284c8a89270fe50bbbb2791b39e.tar.gz
gentoo-637bf7adde0a6284c8a89270fe50bbbb2791b39e.tar.bz2
gentoo-637bf7adde0a6284c8a89270fe50bbbb2791b39e.zip
x11-libs/motif: use HTTPS, add missing die.
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/10992 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'x11-libs/motif')
-rw-r--r--x11-libs/motif/motif-2.3.8-r1.ebuild10
1 files changed, 5 insertions, 5 deletions
diff --git a/x11-libs/motif/motif-2.3.8-r1.ebuild b/x11-libs/motif/motif-2.3.8-r1.ebuild
index 2258ff7c47c..4c9e39515e1 100644
--- a/x11-libs/motif/motif-2.3.8-r1.ebuild
+++ b/x11-libs/motif/motif-2.3.8-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -7,7 +7,7 @@ inherit autotools flag-o-matic multilib toolchain-funcs multilib-minimal
DESCRIPTION="The Motif user interface component toolkit"
HOMEPAGE="https://sourceforge.net/projects/motif/
- http://motif.ics.com/"
+ https://motif.ics.com/"
SRC_URI="mirror://sourceforge/project/motif/Motif%20${PV}%20Source%20Code/${P}.tar.gz
https://dev.gentoo.org/~ulm/distfiles/${PN}-2.3.6-patches-2.tar.xz"
@@ -39,10 +39,10 @@ src_prepare() {
eapply_user
# disable compilation of demo binaries
- sed -i -e '/^SUBDIRS/{:x;/\\$/{N;bx;};s/[ \t\n\\]*demos//;}' Makefile.am
+ sed -i -e '/^SUBDIRS/{:x;/\\$/{N;bx;};s/[ \t\n\\]*demos//;}' Makefile.am || die
# add X.Org vendor string to aliases for virtual bindings
- echo -e '"The X.Org Foundation"\t\t\t\t\tpc' >>bindings/xmbind.alias
+ echo -e '"The X.Org Foundation"\t\t\t\t\tpc' >>bindings/xmbind.alias || die
AT_M4DIR=. eautoreconf
@@ -108,7 +108,7 @@ multilib_src_install_all() {
newins "${FILESDIR}"/Mwm.defaults Mwm
# cleanup
- rm -rf "${ED}"/usr/share/Xm
+ rm -rf "${ED}"/usr/share/Xm || die
find "${D}" -type f -name "*.la" -delete || die
dodoc BUGREPORT ChangeLog README RELEASE RELNOTES TODO